Bug 1679593 - Ovirt client returned an error: undefined method `href' for nil:NilClass
Summary: Ovirt client returned an error: undefined method `href' for nil:NilClass
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Compute Resources - RHEV
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On: 1634760
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-21 13:57 UTC by Lukáš Hellebrandt
Modified: 2020-04-14 13:24 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:23:49 UTC
Target Upstream Version:


Attachments (Terms of Use)
production.log (17.74 KB, text/plain)
2019-02-21 13:57 UTC, Lukáš Hellebrandt
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:24:01 UTC

Description Lukáš Hellebrandt 2019-02-21 13:57:52 UTC
Created attachment 1537095 [details]
production.log

Description of problem:
When using APIv4, host creatin always fails with "Failed to create a compute rhev4 (RHV) instance ramon-rozycki.testdom: Ovirt client returned an error: undefined method `href' for nil:NilClass"

Version-Release number of selected component (if applicable):
Reproduced on Sat 6.5 snap 15. It worked in some previous snap.

How reproducible:
Deterministic.

Steps to Reproduce:
1. Have a RHEV, add it as a CR to Satellite using APIv4
2. Hosts -> Create host -> fill -> submit

Actual results:
Failure

"Failed to create a compute rhev4 (RHV) instance ramon-rozycki.testdom: Ovirt client returned an error: undefined method `href' for nil:NilClass"

Traceback (attached)

Expected results:
Successfully created Host and VM

Comment 5 orabin 2019-02-26 19:29:26 UTC
Created redmine issue https://projects.theforeman.org/issues/26168 from this bug

Comment 6 orabin 2019-02-26 19:36:15 UTC
This is caused by the same issue as: https://bugzilla.redhat.com/show_bug.cgi?id=1634760 so they will be fixed together.

Comment 7 Lukáš Hellebrandt 2019-02-27 12:42:53 UTC
I've just reproduced this bug with a Sat 6.4.1 instance. That means it's probably NOT a regression (still might be 6.4.1 x 6.4, not likely though).

Ori discovered this only happened with some RHEV instances, and not with some others (which initially made me think this was a regression). The instances on which the bug is reproducible may be somehow broken but it can also be caused by some valid state, we don't know yet. However, even if those instances were broken, the bug is still valid because "undefined method" is not an acceptable response to an invalid RHEV instance state.

Comment 8 orabin 2019-02-27 13:37:30 UTC
I agree and the bug I mentioned in Comment 6 will fix this. The fix was merged upstream but needs a new version of fog-ovirt.

Due to the dependency bump needed, the fact that the connected bug was not aligned to 6.5 and that it is not a regression, could this bug be moved out of 6.5?

Comment 11 Shira Maximov 2019-11-06 08:06:44 UTC
Based on comment #8, I'm moving this to POST, since https://bugzilla.redhat.com/show_bug.cgi?id=1634760 is in POST.

Comment 13 Lukáš Hellebrandt 2020-03-06 14:03:00 UTC
Verified with Sat 6.7 snap 14, using reproducer from OP.

Comment 16 errata-xmlrpc 2020-04-14 13:23:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.